Subject: Re: bug#56469: 29.0.50; Unibyte dir in directory_files_internal

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jul 2022 18:41:38 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 10 Jul 2022 11:19:22 -0400
> 
> In the updated comment I noted that we have a bug when we do
> 
>     (let ((file-name-coding-system 'binary))
>       (directory-files "/tmp/été/" 'full)
> 
> because we'll be concatenating the multibyte string "/tmp/été/" with
> the undecoded unibyte strings of the names of files in that directory.

I don't think file-name related stuff can work in Emacs when
file-name-coding-system is set to an arbitrary value not reflecting
the reality.  Why would we want to support such cases?

(But I don't object to the comment.)